darcs-2.18.2: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Util.HTTP

# Documentation

data Cachable #

Constructors

Cachable |
Uncachable |
MaxAge !CInt |

#### Instances

Instances details

Show Cachable # |
Instance details Defined in Darcs.Util.HTTP Methods showsPrec :: Int -> Cachable -> ShowS # show :: Cachable -> String # showList :: [Cachable] -> ShowS #
Eq Cachable # |
Instance details Defined in Darcs.Util.HTTP Methods (==) :: Cachable -> Cachable -> Bool # (/=) :: Cachable -> Cachable -> Bool #

copyRemote :: String -> FilePath -> Cachable -> IO () #

copyRemoteLazy :: String -> Cachable -> IO ByteString #

speculateRemote :: String -> FilePath -> IO () #

postUrl #

Arguments

:: String | url
-> ByteString | body
-> String | mime type
-> IO () | result